﻿@using DocumentFormat.OpenXml.Wordprocessing
@{
    ViewBag.Title = "Risk Impact";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">
    var oTable;

    function loadComFinYear() {
        return $.ajax({
            url: '@Url.Action("GetComFinYear", "RiskImpact")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlYear').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlYear').append('<option value="">No data found</option>');
            }
        });
    }
    @*function loadDepartment() {
        var GetDetail = '@Url.Action("getDeptNamebyUserId", "RiskImpact")';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtDepartment").value = GetDetail.department;
                    document.getElementById("hdDeptId").value = GetDetail.departmentid;

                }
            },
            error: function () {

            }
        });
    }*@



    $(document).ready(function () {

        loadComFinYear();

        $("#btnSave").click(function () {
            //validation

            if ($('#ddlYear').val() == "0" ||
                      $('#txtRiskImpact').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var RiskImpactList = [
                                 {
                                     id: '@ViewBag.RowId',
                                     year: $("#ddlYear").find("option:selected").text(),
                                     comfinid: $('#ddlYear').val(),
                                     riskimpact: $('#txtRiskImpact').val()
                                     
                                 }
                            ];

                            RiskImpactList.push();

                            var formData = new FormData();
                            formData.append("RiskImpactList", JSON.stringify(RiskImpactList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveRiskImpact", "RiskImpact")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("RiskImpact", "RiskImpact")';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });
    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<input type="hidden" id="hdDeptId" />
<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Add Risk Impact

        </div>
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="ddlYear">Year Company Financial Data</label></div>
                <div class="col-sm-4">
                    <select class="form-control" id="ddlYear">
                        <option value="0">-Please select-</option>
                    </select>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtRiskImpact">Risk Impact</label></div>
                <div class="col-sm-10"><textarea class="form-control" rows="5" id="txtRiskImpact"></textarea></div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("RiskImpact", "RiskImpact") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
